org.richfaces.model

## Class DeclarativeTreeDataModelImpl

- java.lang.Object
- - javax.faces.model.DataModel<E>
  - - org.ajax4jsf.model.ExtendedDataModel<V>
    - - org.richfaces.model.TreeSequenceKeyModel<Object>
      - - org.richfaces.model.DeclarativeTreeDataModelImpl

- All Implemented Interfaces:
    Iterable<Object>, DeclarativeTreeModel<Object>, TreeDataModel<Object>

      public class DeclarativeTreeDataModelImpl
      extends TreeSequenceKeyModel<Object>
      implements DeclarativeTreeModel<Object>

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from interface org.richfaces.model.TreeDataModel

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeclarativeTreeDataModelImpl(AbstractTree tree)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<TreeDataModelTuple>` | `children()`
    `TreeDataModelTuple` | `createSnapshot()`
    `javax.faces.component.UIComponent` | `getCurrentComponent()`
    `javax.faces.convert.Converter` | `getRowKeyConverter()`
    `Object` | `getWrappedData()`
    `boolean` | `isLeaf()`
    `void` | `restoreFromSnapshot(TreeDataModelTuple tuple)`
    `protected void` | `setupKey(SequenceRowKey key)`
    `void` | `setWrappedData(Object data)`

    - ### Methods inherited from class org.richfaces.model.TreeSequenceKeyModel

      `getData, getParentRowKey, getRowCount, getRowData, getRowIndex, getRowKey, isDataAvailable, isRowAvailable, setData, setRowIndex, setRowKey, setRowKeyAndData, walk`

    - ### Methods inherited from class javax.faces.model.DataModel

      `addDataModelListener, getDataModelListeners, iterator, removeDataModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.model.TreeDataModel

      `getData, getParentRowKey, getRowKey, isDataAvailable, setRowKey`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### DeclarativeTreeDataModelImpl

          public DeclarativeTreeDataModelImpl(AbstractTree tree)

  - ### Method Detail

    - #### getCurrentComponent

          public javax.faces.component.UIComponent getCurrentComponent()

      Specified by:
        `getCurrentComponent` in interface `DeclarativeTreeModel<Object>`

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in interface `TreeDataModel<Object>`

    - #### children

          public Iterator<TreeDataModelTuple> children()

      Specified by:
        `children` in interface `TreeDataModel<Object>`

    - #### getWrappedData

          public Object getWrappedData()

      Specified by:
        `getWrappedData` in interface `TreeDataModel<Object>`
      Specified by:
        `getWrappedData` in class `javax.faces.model.DataModel<Object>`

    - #### setWrappedData

          public void setWrappedData(Object data)

      Specified by:
        `setWrappedData` in interface `TreeDataModel<Object>`
      Specified by:
        `setWrappedData` in class `javax.faces.model.DataModel<Object>`

    - #### setupKey

          protected void setupKey(SequenceRowKey key)

      Specified by:
        `setupKey` in class `TreeSequenceKeyModel<Object>`

    - #### createSnapshot

          public TreeDataModelTuple createSnapshot()

      Specified by:
        `createSnapshot` in interface `TreeDataModel<Object>`

    - #### restoreFromSnapshot

          public void restoreFromSnapshot(TreeDataModelTuple tuple)

      Specified by:
        `restoreFromSnapshot` in interface `TreeDataModel<Object>`

    - #### getRowKeyConverter

          public javax.faces.convert.Converter getRowKeyConverter()

      Specified by:
        `getRowKeyConverter` in interface `TreeDataModel<Object>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.